<template>
  <div class="relative">
      <div class="absolute top-0 left-0 z-50">
      <NavBar/>
      </div>
    <transition-group
      tag="div"
      enter-active-class="transition ease-in-out delay-300 duration-500"
      enter-class="opacity-0"
      enter-to-class="opacity-100"
      leave-active-class="transition ease-in-out duration-300"
      leave-class="opacity-100"
      leave-to-class="opacity-0"
    >
      <slot />
    </transition-group>
    <Footer />
  </div>
</template>

<script>
import NavBar from '@/Components/utils/NavBar'
import Footer from '@/Components/Utils/Footer.vue'
export default {
    name: "layout",
    components:{NavBar, Footer},
    data() {
      return {
        user: null,
      }
    },
    methods: {
    },
    created () {
        document.getElementsByTagName( 'html' )[0].setAttribute( 'class', `bg-01` );
    }
}
</script>
